[Unit]
Description=Woodpecker Agent
Documentation=https://woodpecker-ci.org/
After=network.target network-online.target
Requires=network-online.target

[Service]
Type=exec
User=woodpecker
Group=woodpecker
SupplementaryGroups=docker
ExecStart=/usr/local/bin/woodpecker-agent
Restart=always
EnvironmentFile=/etc/woodpecker/woodpecker-agent.env

[Install]
WantedBy=multi-user.target
